1 Reply Latest reply on Nov 17, 2013 6:46 PM by Todd_Kopriva

    Help

    FannyChanDamian

      I want to buy the CC suit buuut my mac is 10.6.8 version, AE, Ilustrator and premiere are not for my version?